View Issue Details

IDProjectCategoryView StatusLast Update
0021837mantisbtuipublic2019-04-12 17:28
ReporterKyle_Katarn Assigned Tocommunity  
PrioritylowSeveritytrivialReproducibilityalways
Status assignedResolutionopen 
Product Version2.0.0-rc.1 
Summary0021837: Text-based change log
Description

When i used the 1.x branch, i used to copy/paste when the Change Log displayed in order to post this to my mailing list, on forums,... to announce changes in my products.

Now with 2.x formatting, this is no longer possible.
I'd like to have the opportunity to display change log in a pure text formatting (even if i have to click on a "export as text" option on a given change log for a specific version.

TagsNo tags attached.

Activities

Kyle_Katarn

Kyle_Katarn

2017-01-03 15:08

reporter   ~0054905

Any chance to see this in 2.0.x branch ?

atrol

atrol

2017-01-03 16:18

developer   ~0054907

Works for me. Tried using Safari and Firefox on MacOs.
Marked some lines in changelog, copied the lines, opened a pure text editor, pasted the lines.

atrol

atrol

2017-01-04 02:32

developer   ~0054911

Works also on Windows using Firefox and Notepad.

dregad

dregad

2017-01-04 04:34

developer   ~0054917

Last edited: 2018-10-29 07:53

I think what @Kyle_Katarn means, is that the copy/paste results is no longer nicely formatted, i.e. compare

mantisbt - Change Log
mantisbt - 1.2.19
Released 2015-01-25
MantisBT 1.2.19 is a security update for the stable 1.2.x branch. All
installations that are currently running any 1.2.x version are strongly
advised to upgrade to this release.

This release resolves 5 security issues and fixes 2 regressions introduced in 1.2.18.
0019493: [security] CVE-2014-9701: XSS vulnerability in permalink_page.php (dregad)
...
0017993: [authentication] User creation with captcha broken by fix for issue 0017811 (dregad)
12 issues 

With

mantisbt - Change Log

mantisbt - 1.2.19 (Released 2015-01-24) [ View Issues ]
=======================================

MantisBT 1.2.19 is a security update for the stable 1.2.x branch. All
installations that are currently running any 1.2.x version are strongly
advised to upgrade to this release.

This release resolves 5 security issues and fixes 2 regressions introduced in 1.2.18.

- 0019493: [security] CVE-2014-9701: XSS vulnerability in permalink_page.php (dregad) - closed.
...
- 0017993: [authentication] User creation with captcha broken by fix for issue 0017811 (dregad) - closed.

[12 issues]
Kyle_Katarn

Kyle_Katarn

2017-01-04 14:51

reporter   ~0054925

That's EXACTLY what i meant

Kyle_Katarn

Kyle_Katarn

2017-05-19 17:24

reporter   ~0056911

Atrol, what's your view on this ?

atrol

atrol

2017-05-21 04:13

developer   ~0056921

I have no strong opinion on this.

The goal of @syncguru was to provide a nice UI when viewing the change log via browser.

There could be

  • a check box in change log and roadmap UI to switch between HTML and TEXT mode, or
  • a configuration option (global or as a user preference) to switch between HTML and TEXT mode
samtuke

samtuke

2018-08-24 09:17

reporter   ~0060487

+1
Options to export to HTML would also be great. Even nicer: group by category and include them as subheadings.

WrightTechDave

WrightTechDave

2018-08-24 12:42

reporter   ~0060489

+1 on exporting Change Log and Roadmap
+1 on Text, Excel, and HTML export formats.

samtuke

samtuke

2018-10-25 12:01

reporter   ~0060850

Last edited: 2018-10-29 07:52

In case this is useful, here is a bounty of $150 for implementing this with the following features:

  • Changelog export to simple HTML (no unnecessary markup) including the following contents:
    • Heading in H2: Changelog for <project name> <version number>
    • An ordered list of issues in a similar format the that currently used on the changelog page, uncluding:
    • The mantis issue number, linked to the issue page, followed by the issue title
    • Category titles as H3 headings, with separate ordered lists of issues below each
    • Nice to have: the link to the PR it was fixed in, e.g. if a VCS reference or link is found
    • Note: HTML, HEAD, and BODY tags aren't necessary in my use case, but including them might be useful to others

Example output:

&lt;h2>Changelog for Mantis 2.19.0&lt;/h2>

&lt;h3>UI&lt;/h3>

<ol>
    <li>https://www.mantisbt.org/bugs/view.php?id=21837: Text-based change log</li>
</ol>

&lt;h3>Relationships&lt;/h3>

<ol>
    <li>https://www.mantisbt.org/bugs/view.php?id=24882: relationship_can_resolve_bug function problem</li>
</ol>
bpfennig

bpfennig

2019-04-10 03:16

reporter   ~0061873

Last edited: 2019-04-10 03:23

I have made a small patch - to copy the changelog as text.
This patch will add a button in the footer of each version on the changelog page to copy the changelog as text.

Feel free to improve or change the output.
At the moment the clipboard javascript is included in other pages as well, I think that has to be changed in the future, but that will result in more complex changes in the changelog_page.php file.
The attached zip file contains the .patch files and the additional javascript files and the patched source code files for easily patch the version 2.20.0.

changelog_copy_as_text.jpg (47,531 bytes)   
changelog_copy_as_text.jpg (47,531 bytes)   
Kyle_Katarn

Kyle_Katarn

2019-04-10 05:56

reporter   ~0061874

Is it going to be made official and integrated ? Looks promising !

Kyle_Katarn

Kyle_Katarn

2019-04-10 05:57

reporter   ~0061875

(and a big THANK YOU)

dregad

dregad

2019-04-10 07:09

developer   ~0061877

@bpfennig Many thanks for your contribution. Would it be possible for you to submit this as a Pull request on Github instead ? That would make it a lot easier for us to review and eventually merge the changes.

At the moment the clipboard javascript is included in other pages as well, I think that has to be changed in the future

Probably a good idea, yes.

About the library:

  • If you have not done so already, make sure it can be downloaded from CDN as well as local copy. There are several examples of this in layout_body_javascript()
  • The library needs to be referenced in library/README.md
bpfennig

bpfennig

2019-04-12 13:31

reporter   ~0061911

Last edited: 2019-04-12 17:28

Done
https://github.com/mantisbt/mantisbt/pull/1504